package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TEOrgSummary;

import java.util.List;

/**
 * <p>
 * 超管统计表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-10-27
 */
public interface TEOrgSummaryService extends IService<TEOrgSummary> {

    /**
     * 保存机构统计信息
     *
     * @param orgId
     * @param examIdSet
     */
    public void orgSummary(Long orgId, List<Long> examIdSet);

    /**
     * 根据机构id统计信息
     *
     * @param orgId
     */
    public void orgSummary(Long orgId);

    /**
     * 更新全局机构考试完成数量和考生完成数量
     *
     * @param orgId
     * @param finishStudentCount
     */
    public void updateOrgZeroSummary(Long orgId, Integer finishStudentCount);

    /**
     * 根据机构id更新在线和考试人数
     *
     * @param orgId
     * @param onlineCount
     * @param examCount
     */
    public void updateOrgSummary(Long orgId, Integer onlineCount, Integer examCount);
}
